#ifndef XSTREAMFILENAMEPACKED_H
#define XSTREAMFILENAMEPACKED_H

#include "xasset.h"

class XSoundFileRef;

class XStreamFileNamePacked : public XAsset
{
public:
    XStreamFileNamePacked();
    ~XStreamFileNamePacked();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mOffset;
    quint32 mLength;
};

#endif // XSTREAMFILENAMEPACKED_H
